%define api_version 1.0
%define lib_name %mklibname gnomecups-%{api_version}_ %{lib_major}
%define lib_major 1

Summary: GNOME library for CUPS integration
Name: libgnomecups
Version: 0.2.0
Release: 1mdk
License: LGPL
Group: System/Libraries
URL: http://www.ximian.com/
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
BuildRequires: cups-devel
BuildRequires: glib2-devel
BuildRequires: perl-XML-Parser
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
GNOME library for CUPS integration

%package -n %{lib_name}
Summary: GNOME library for CUPS integration
Group: System/Libraries
Requires: %{name} = %{version}-%{release}

%description -n %{lib_name}
GNOME library for CUPS integration

%package -n %{lib_name}-devel
Summary: GNOME library for CUPS integration
Group: Development/GNOME and GTK+
Requires: %{lib_name} = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}
Provides: %{name}-%{api_version}-devel = %{version}-%{release}

%description -n %{lib_name}-devel
GNOME library for CUPS integration

%prep
%setup -q

%build

%configure2_5x

%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig -n %{lib_name}

%postun -p /sbin/ldconfig -n %{lib_name}

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc ChangeLog NEWS AUTHORS

%files -n %{lib_name}
%defattr(-,root,root,-)
%{_libdir}/*.so.*

%files -n %{lib_name}-devel
%defattr(-,root,root,-)
%{_libdir}/pkgconfig/*
%{_includedir}/*
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so


%changelog
* Tue Mar  8 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.2.0-1mdk
- drop merged patches
- New release 0.2.0

* Tue Dec 14 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.1.14-1mdk
- New release 0.1.14

* Tue Nov 23 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.13-2mdk 
- Patch0 (Fedora): asynchronous ppd fetching 
- Patch1 (Fedora): fix deadlock in mainloop

* Tue Oct  5 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.1.13-1mdk
- New release 0.1.13

* Tue Sep 14 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.1.12-1mdk
- New release 0.1.12

* Tue Aug 24 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.1.11-1mdk
- New release 0.1.11

* Wed Aug 18 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.10-1mdk
- Release 0.1.10 

* Tue Jul 27 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.1.9-2mdk
- fix buildrequires

* Mon Jul 26 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.9-1mdk
- Release 0.1.9 

* Tue Jun  8 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.8-1mdk
- New release 0.1.8

* Wed Aug  6 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.1.6-1mdk
- Release 0.1.6

* Thu Jul 17 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.1.5-1mdk
- First Mandrake package

